| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ContaminationStatus Class Reference

Helper to encapsulate the contamination threshold. More...

`#include <ContaminationStatus.h>`

## Public Member Functions
unsigned int | GetDataLeft ()
| Gets the contamination status on sensor's left side.
void | SetDataLeft (unsigned int pDataLeft)
| Sets the contamination status on sensor's left side.
unsigned int | GetDataMiddle ()
| Gets the contamination status on sensor's middle side.
void | SetDataMiddle (unsigned int pDataMiddle)
| Sets the contamination status on sensor's middle side.
unsigned int | GetDataRight ()
| Gets the contamination status on sensor's right side.
void | SetDataRight (unsigned int pDataRight)
| Sets the contamination status on sensor's right side.
unsigned int | GetZ1 ()
| Gets the Navigation sensor's Z1 contamination state.
void | SetZ1 (unsigned int pZ1)
| Sets the Navigation sensor's Z1 contamination state.
unsigned int | GetZ2 ()
| Gets the Navigation sensor's Z2 contamination state.
void | SetZ2 (unsigned int pZ2)
| Sets the Navigation sensor's Z2 contamination state.
unsigned int | GetZ3 ()
| Gets the Navigation sensor's Z3 contamination state.
void | SetZ3 (unsigned int pZ3)
| Sets the Navigation sensor's Z3 contamination state.
unsigned int | GetZ4 ()
| Gets the Navigation sensor's Z4 contamination state.
void | SetZ4 (unsigned int pZ4)
| Sets the Navigation sensor's Z4 contamination state.
unsigned int | GetZ5 ()
| Gets the Navigation sensor's Z5 contamination state.
void | SetZ5 (unsigned int pZ5)
| Sets the Navigation sensor's Z5 contamination state.
unsigned int | GetZ6 ()
| Gets the Navigation sensor's Z6 contamination state.
void | SetZ6 (unsigned int pZ6)
| Sets the Navigation sensor's Z6 contamination state.
unsigned int | GetZ7 ()
| Gets the Navigation sensor's Z7 contamination state.
void | SetZ7 (unsigned int pZ7)
| Sets the Navigation sensor's Z7 contamination state.
unsigned int | GetZ8 ()
| Gets the Navigation sensor's Z8 contamination state.
void | SetZ8 (unsigned int pZ8)
| Sets the Navigation sensor's Z8 contamination state.
unsigned int | GetZ9 ()
| Gets the Navigation sensor's Z9 contamination state.
void | SetZ9 (unsigned int pZ9)
| Sets the Navigation sensor's Z9 contamination state.

## Detailed Description

Helper to encapsulate the contamination threshold.

## Member Function Documentation

## ◆ GetDataLeft()

unsigned int ContaminationStatus::GetDataLeft | ( |  | ) |

Gets the contamination status on sensor's left side.

Returns
  Left side contamination as an unsigned int

## ◆ GetDataMiddle()

unsigned int ContaminationStatus::GetDataMiddle | ( |  | ) |

Gets the contamination status on sensor's middle side.

Returns
  Middle side contamination as an unsigned int

## ◆ GetDataRight()

unsigned int ContaminationStatus::GetDataRight | ( |  | ) |

Gets the contamination status on sensor's right side.

Returns
  Right side contamination as an unsigned int

## ◆ GetZ1()

unsigned int ContaminationStatus::GetZ1 | ( |  | ) |

Gets the Navigation sensor's Z1 contamination state.

Returns
  Z1 Contamination state

## ◆ GetZ2()

unsigned int ContaminationStatus::GetZ2 | ( |  | ) |

Gets the Navigation sensor's Z2 contamination state.

Returns
  Z2 Contamination state

## ◆ GetZ3()

unsigned int ContaminationStatus::GetZ3 | ( |  | ) |

Gets the Navigation sensor's Z3 contamination state.

Returns
  Z3 Contamination state

## ◆ GetZ4()

unsigned int ContaminationStatus::GetZ4 | ( |  | ) |

Gets the Navigation sensor's Z4 contamination state.

Returns
  Z4 Contamination state

## ◆ GetZ5()

unsigned int ContaminationStatus::GetZ5 | ( |  | ) |

Gets the Navigation sensor's Z5 contamination state.

Returns
  Z5 Contamination state

## ◆ GetZ6()

unsigned int ContaminationStatus::GetZ6 | ( |  | ) |

Gets the Navigation sensor's Z6 contamination state.

Returns
  Z6 Contamination state

## ◆ GetZ7()

unsigned int ContaminationStatus::GetZ7 | ( |  | ) |

Gets the Navigation sensor's Z7 contamination state.

Returns
  Z7 Contamination state

## ◆ GetZ8()

unsigned int ContaminationStatus::GetZ8 | ( |  | ) |

Gets the Navigation sensor's Z8 contamination state.

Returns
  Z8 Contamination state

## ◆ GetZ9()

unsigned int ContaminationStatus::GetZ9 | ( |  | ) |

Gets the Navigation sensor's Z9 contamination state.

Returns
  Z9 Contamination state

## ◆ SetDataLeft()

void ContaminationStatus::SetDataLeft | ( | unsigned int | pDataLeft | ) |

Sets the contamination status on sensor's left side.

Parameters

  pDataLeft | Left side contamination as an unsigned int

## ◆ SetDataMiddle()

void ContaminationStatus::SetDataMiddle | ( | unsigned int | pDataMiddle | ) |

Sets the contamination status on sensor's middle side.

Parameters

  pDataMiddle | Middle side contamination as an unsigned int

## ◆ SetDataRight()

void ContaminationStatus::SetDataRight | ( | unsigned int | pDataRight | ) |

Sets the contamination status on sensor's right side.

Parameters

  pDataRight | Right side contamination as an unsigned int

## ◆ SetZ1()

void ContaminationStatus::SetZ1 | ( | unsigned int | pZ1 | ) |

Sets the Navigation sensor's Z1 contamination state.

Parameters

  pZ1 | Z1 Navigation sensor's Z1 contamination state

## ◆ SetZ2()

void ContaminationStatus::SetZ2 | ( | unsigned int | pZ2 | ) |

Sets the Navigation sensor's Z2 contamination state.

Parameters

  pZ2 | Z2 Navigation sensor's Z2 contamination state

## ◆ SetZ3()

void ContaminationStatus::SetZ3 | ( | unsigned int | pZ3 | ) |

Sets the Navigation sensor's Z3 contamination state.

Parameters

  pZ3 | Z3 Navigation sensor's Z3 contamination state

## ◆ SetZ4()

void ContaminationStatus::SetZ4 | ( | unsigned int | pZ4 | ) |

Sets the Navigation sensor's Z4 contamination state.

Parameters

  pZ4 | Z4 Navigation sensor's Z4 contamination state

## ◆ SetZ5()

void ContaminationStatus::SetZ5 | ( | unsigned int | pZ5 | ) |

Sets the Navigation sensor's Z5 contamination state.

Parameters

  pZ5 | Z5 Navigation sensor's Z5 contamination state

## ◆ SetZ6()

void ContaminationStatus::SetZ6 | ( | unsigned int | pZ6 | ) |

Sets the Navigation sensor's Z6 contamination state.

5/// Sets the Navigation sensor's Z6 contamination state

Parameters

  pZ6 | Z6 Navigation sensor's Z6 contamination state

## ◆ SetZ7()

void ContaminationStatus::SetZ7 | ( | unsigned int | pZ7 | ) |

Sets the Navigation sensor's Z7 contamination state.

5/// Sets the Navigation sensor's Z7 contamination state

Parameters

  pZ7 | Z7 Navigation sensor's Z7 contamination state

## ◆ SetZ8()

void ContaminationStatus::SetZ8 | ( | unsigned int | pZ8 | ) |

Sets the Navigation sensor's Z8 contamination state.

5/// Sets the Navigation sensor's Z8 contamination state

Parameters

  pZ8 | Z8 Navigation sensor's Z8 contamination state

## ◆ SetZ9()

void ContaminationStatus::SetZ9 | ( | unsigned int | pZ9 | ) |

Sets the Navigation sensor's Z9 contamination state.

5/// Sets the Navigation sensor's Z9 contamination state

Parameters

  pZ9 | Z9 Navigation sensor's Z9 contamination state

The documentation for this class was generated from the following files:

- ContaminationStatus.h
- ContaminationStatus.cpp